aboutsummaryrefslogtreecommitdiff
path: root/ci/common
diff options
context:
space:
mode:
authorJames McCoy <jamessan@jamessan.com>2018-02-01 13:27:51 -0500
committerJames McCoy <jamessan@jamessan.com>2018-02-02 07:28:56 -0500
commit5da6f0e903f2eb76e72bbb3c098d4908d1f3b1ad (patch)
tree71d1c2874024e2e289762334cda9a99848de6800 /ci/common
parent86ee92f2a244da3cfb8698bee0dbc02579c0c6fa (diff)
downloadrneovim-5da6f0e903f2eb76e72bbb3c098d4908d1f3b1ad.tar.gz
rneovim-5da6f0e903f2eb76e72bbb3c098d4908d1f3b1ad.tar.bz2
rneovim-5da6f0e903f2eb76e72bbb3c098d4908d1f3b1ad.zip
travis: Don't run unit tests for functionaltest-lua build
Diffstat (limited to 'ci/common')
-rw-r--r--ci/common/build.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/ci/common/build.sh b/ci/common/build.sh
index adfd7b9e8a..2748b15b0d 100644
--- a/ci/common/build.sh
+++ b/ci/common/build.sh
@@ -71,9 +71,11 @@ build_nvim() {
exit 1
fi
- echo "Building nvim-test."
- if ! top_make nvim-test ; then
- exit 1
+ if test "${FUNCTIONALTEST}" != "functionaltest-lua"; then
+ echo "Building nvim-test."
+ if ! top_make nvim-test ; then
+ exit 1
+ fi
fi
fi